//---------------------------------------------------------------------------
#ifndef MaticaObdlznikovaH
#define MaticaObdlznikovaH
//---------------------------------------------------------------------------
#define MAXLINE 255
#define MAXPOCET 20

class TMaticaObdlznikova
{
protected:
	unsigned PocetRiadkov, PocetStlpcov;
	float Matica[MAXPOCET][MAXPOCET];
public:
	// Konstruktor
	TMaticaObdlznikova();
	// Kopirovaci konstruktor
	TMaticaObdlznikova(TMaticaObdlznikova&);
	// Destruktor
	~TMaticaObdlznikova();
	// Operator priradenia
	TMaticaObdlznikova& operator=(const TMaticaObdlznikova&);

	friend const TMaticaObdlznikova operator+(const TMaticaObdlznikova&, 
		const TMaticaObdlznikova&);
	friend const TMaticaObdlznikova operator*(const TMaticaObdlznikova&, 
		const TMaticaObdlznikova&);

	friend istream& operator>>(istream&, TMaticaObdlznikova&);
	friend ostream& operator<<(ostream&, TMaticaObdlznikova&);

	unsigned getPocetRiadkov() const { return PocetRiadkov; };
	unsigned getPocetStlpcov() const { return PocetStlpcov; };
	float getPrvokMatice(const unsigned i, const unsigned j) const 
		{ return Matica[i][j]; };
};

struct my_class { void my_getch() const; };
//---------------------------------------------------------------------------
#endif